Package org.apache.tapestry5.beaneditor

## Enum RelativePosition

- java.lang.Object
- - java.lang.Enum<RelativePosition>
  - - org.apache.tapestry5.beaneditor.RelativePosition

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<RelativePosition>`

      public enum RelativePosition
      extends java.lang.Enum<RelativePosition>

  Controls the position of newly added PropertyModel inside a BeanModel.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AFTER` | The new PropertyModel goes after the existing model.
    `BEFORE` | The new PropertyModel goes before the existing model.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static RelativePosition` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static RelativePosition[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BEFORE

          public static final RelativePosition BEFORE

      The new PropertyModel goes before the existing model.

    - #### AFTER

          public static final RelativePosition AFTER

      The new PropertyModel goes after the existing model.

  - ### Method Detail

    - #### values

          public static RelativePosition[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RelativePosition c : RelativePosition.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RelativePosition valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null